---
# https://pypi.org/project/tbump/

tbump:
  image: registry.gitlab.com/notno/ci/images/python:latest
  stage: build
  script:
    - pip install tbump
    - |
      if [ ! -z ${NEXT_RELEASE_VERSION+x} ]
      then
        tbump $NEXT_RELEASE_VERSION --only-patch --non-interactive
      else
        echo "NEXT_RELEASE_VERSION variable unset, will not tbump files"
      fi
  artifacts:
    paths:
      - ./*
